Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.provider.javax.crypto
Class JSSMacSpi

    java.lang.Object
      |
      +--javax.crypto.MacSpi
            |
            +--org.mozilla.jss.provider.javax.crypto.JSSMacSpi

Direct Known Subclasses:
  JSSMacSpi.HmacSHA1

class JSSMacSpi
extends javax.crypto.MacSpi

Nested Class Summary
`static class` | `JSSMacSpi.HmacSHA1`

Field Summary
`private HMACAlgorithm` | `alg`
`private JSSMessageDigest` | `digest`

Constructor Summary
`private` | `JSSMacSpi()`
`protected` | `JSSMacSpi(HMACAlgorithm alg)`

Method Summary
`java.lang.Object` | `clone()`
`byte[]` | `engineDoFinal()`
`int` | `engineGetMacLength()`
`void` | `engineInit(java.security.Key key, java.security.spec.AlgorithmParameterSpec params)`
`void` | `engineReset()`
`void` | `engineUpdate(byte input)`
`void` | `engineUpdate(byte[] input, int offset, int len)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### digest

    private JSSMessageDigest digest

### alg

    private HMACAlgorithm alg

Constructor Detail

### JSSMacSpi

    private JSSMacSpi()

### JSSMacSpi

    protected JSSMacSpi(HMACAlgorithm alg)

Method Detail

### engineGetMacLength

    public int engineGetMacLength()

  Specified by:
    `engineGetMacLength` in class `javax.crypto.MacSpi`

### engineInit

    public void engineInit(java.security.Key key,
                           java.security.spec.AlgorithmParameterSpec params)
                    throws java.security.InvalidKeyException,
                           java.security.InvalidAlgorithmParameterException

  Specified by:
    `engineInit` in class `javax.crypto.MacSpi`
    `java.security.InvalidKeyException`
    `java.security.InvalidAlgorithmParameterException`

### engineUpdate

    public void engineUpdate(byte input)

  Specified by:
    `engineUpdate` in class `javax.crypto.MacSpi`

### engineUpdate

    public void engineUpdate(byte[] input,
                             int offset,
                             int len)

  Specified by:
    `engineUpdate` in class `javax.crypto.MacSpi`

### engineDoFinal

    public byte[] engineDoFinal()

  Specified by:
    `engineDoFinal` in class `javax.crypto.MacSpi`

### engineReset

    public void engineReset()

  Specified by:
    `engineReset` in class `javax.crypto.MacSpi`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `javax.crypto.MacSpi`
    `java.lang.CloneNotSupportedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD